{
    template:'${tmpl}',
    data:function(){
        return {
          multipleSelection: [],
          isSingleSelect:false,
          bizCode:"channelop",
        }
    },
    mounted:function(){

    },
    created:function(){

    },
    methods:{
       onColFormater(row,column,cellvalue,index){
         if(column.property=="moreShop"){
           if(row["moreShop"]){
             return "是";
           }else{
             return "否";
           }
         }
         if(column.property=="profitType"){
           if(row["profitType"]=="1"){
             return "比例分成";
           }else{
             return "每单分成";
           }
         }
         if(column.property=="isPubed"){
           if(row["isPubed"]){
             return "是";
           }else{
             return "否";
           }
         }
         if(column.property=="isEnabled"){
           if(row["isEnabled"]){
             return "是";
           }else{
             return "否";
           }
         }
         if(column.property=="Roles"){
           var tmp=[];
           var ids=[];
           row["Roles"].forEach(s=>{
             tmp.push(s.name);
             ids.push(s.id);
           });
           row.roles=ids;
           return tmp.join(",");
         }
         return cellvalue;
       },
       handleSelectionChange:function(val){
         this.multipleSelection = val;
         console.log(val);
       },
       fetchData:function(){

       },
       onRowClick(row,key,e){
         console.log("................////////////////////////////");

       }
    },
    computed: Vuex.mapState({
      count:state=>state.count,
      headStyle:function(){
        return {"background-color":"white"};
      }
    }),
    vname:"gsb-channelop"
}
